• Не устанавливается обновление Update for Service Bus Server 1.1 (KB3086798) — "Package does not contain compatible branch patch"

    Ранее уже упоминалось о возможных проблемах после установки обновления KB3102467, которое поднимает .NET Framework до версии 4.6.1. И так получилось, что развёртывание этого обновления в течение долгого времени у нас ограничивалось рамками тестовой группы хостов, так как информация о совместимости того или иного продукта с этой версией .NET Framework появлялась с существенной задержкой после выпуска самого обновления. И вот наступил тот момент, когда было решено перенести соответствующее обновление на продуктивную группу хостов. После развёртывания обновления были проведены базовые проверки всех имеющихся под рукой сервисов и в целом всё было хорошо, однако без сюрпризов всё же не обошлось.

    Читать далее…

  • Внимание, грабли. Обновление KB3102467 — .NET Framework 4.6.1

    imageЕсли вы используете авто-развёртывание обновлений Windows с WSUS/SCCM SUP, и при этом нет практики предварительного тестирования развёртываемых обновлений на группе непродуктивных/некритичных/тестовых систем, то можно столкнуться с проблемами после установки обновления KB3102467 на системах Windows Server 2012 R2, которое, как я понял, обновляет .NET Framework 4, 4.5, 4.5.1, 4.5.2 до версии 4.6.1. Аналогичное обновление (KB3102433) есть и для систем Windows 7 SP1.

    Объявление о доступности данного обновления на WSUS было опубликовано в статье .NET Blog — Microsoft .NET Framework 4.6.1 is available on Windows Update and WSUS. Однако ряд серверных продуктов Microsoft не имеют на сегодняшний день поддержки .NET Framework 4.6.1 и установка этого обновления может вызвать проблемы в их функционировании.

    Читать далее…